Subject: Regression: git-commit no longer works from within subdirectories

From: Robert Shearman <[email-masked]>
Date: Thu, 03 Aug 2006 19:06:20 +0100

Hi,

In the latest master branch git-commit no longer works from within 
subdirectories. Instead, you have to go to the top-level directory of 
the git tree to do the commit.

It fails with a confusing message when you are in a subdirectory:
rob@saturn:~/wine-git/dlls/msi$ git commit action.c
usage: git-read-tree (<sha> | [[-m [--aggressive] | --reset | 
--prefix=<prefix>] [-u | -i]] <sha1> [<sha2> [<sha3>]])

I'm not sure whether the previous behaviour was intentional, but I got 
used to it. Either way, I don't think users upgrading from 1.4.1 would 
appreciate a user-facing change like this in a 0.0.1 incremental release.

Can this be changed back to the previous behaviour?

Thanks,

-- 
Rob Shearman